=== modified file '.bzrignore'
--- .bzrignore	2010-11-20 19:20:35 +0000
+++ .bzrignore	2010-12-08 20:27:54 +0000
@@ -214,7 +214,11 @@
 plugin/myisam/myisamchk
 plugin/myisam/myisamlog
 plugin/myisam/myisampack
+plugin/storage_engine_api_tester/cursor_states_to_dot
+plugin/storage_engine_api_tester/engine_states_to_dot
+plugin/transaction_log/utilities/transaction_reader
 po/POTFILES
+po/drizzle7.pot
 po/remove-potcdate.sed
 po/stamp-it
 po/stamp-po
@@ -329,7 +333,3 @@
 virtual_column_info.gcno
 xid.gcno
 ylwrap
-po/drizzle7.pot
-plugin/transaction_log/utilities/transaction_reader
-plugin/storage_engine_api_tester/engine_states_to_dot
-plugin/storage_engine_api_tester/cursor_states_to_dot

=== modified file 'docs/alter_schema.rst'
--- docs/alter_schema.rst	2010-10-27 20:22:26 +0000
+++ docs/alter_schema.rst	2010-12-08 16:35:20 +0000
@@ -1,2 +1,27 @@
 ALTER SCHEMA
 ============
+
+ALTER SCHEMA changes the definition of a schema.
+
+You must own the schema to use ALTER SCHEMA. To rename a schema you must also have the CREATE privilege for the database. To alter the owner, you must also be a direct or indirect member of the new owning role, and you must have the CREATE privilege for the database.::
+
+	ALTER SCHEMA name RENAME TO new_name
+	ALTER SCHEMA name OWNER TO new_owner
+
+name
+
+    The name of an existing schema. 
+
+new_name
+
+    The new name of the schema. The new name cannot begin with pg_, as such names are reserved for system schemas. 
+
+new_owner
+
+    The new owner of the schema. 
+
+
+See Also:
+
+* CREATE SCHEMA
+* DROP SCHEMA
\ No newline at end of file

=== modified file 'docs/alter_table.rst'
--- docs/alter_table.rst	2010-10-27 20:22:26 +0000
+++ docs/alter_table.rst	2010-12-08 17:33:49 +0000
@@ -1,2 +1,12 @@
 ALTER TABLE
 ===========
+
+An ALTER statement modifies the definition (structure) of a table inside Drizzle. 
+The types of objects that can be altered depends on which RDBMS is being used. 
+
+The ALTER TABLE statement is used to change a table definition by: 
+
+1) Adding, dropping, modifying table columns 
+2) Adding and dropping constraints 
+3) Enabling and Disabling constraints 
+4) Rename a table

=== modified file 'docs/barriers.rst'
--- docs/barriers.rst	2010-11-18 22:32:28 +0000
+++ docs/barriers.rst	2010-12-07 21:20:16 +0000
@@ -12,10 +12,10 @@
 SELECT signal();
 
 A barrier is a synchronization objest which can be used to syncronize a
-group of session to a specific rendezvous by calling wait(). At which point
-any session of the user may call signal() and all sessions being held by wait() are allowed to proceed. 
+group of sessions to a specific rendezvous by calling wait(). When wait() is called,
+any session of the user may call signal(), allowing all sessions being held by wait() to proceed. 
 
-Barriers can optional be created with a limit so that once a set number of sessions have called wait() that all "waiters" are then allowed to proceed. 
+Barriers can optionally be created with a limit so that once a set number of sessions have called wait() that all "waiters" are then allowed to proceed. 
 
 The session that creates the barrier via create_barrier() is not allowed to
 call either wait() or wait_until().

=== modified file 'docs/brief_history_of_drizzle.rst'
--- docs/brief_history_of_drizzle.rst	2010-11-03 03:28:23 +0000
+++ docs/brief_history_of_drizzle.rst	2010-11-30 00:28:02 +0000
@@ -2,21 +2,14 @@
 A Brief History Of Drizzle
 ==========================
 
-Drizzle was forked by Brian Aker in 2008 after the Sun Acqusition of MySQL
-by Sun Microsystems. It was announced in 2008 at the O'Reilly Open Source
-Conference. 
-
 Drizzle came into being for both social and technical reasons.
 
-On the technical side Drizzle is a micro-kernel design that is designed to
-be as pluggable as possible. Anyone should be able to quickly extend the
-database for whatever their needs are. Drizzle has been designed for modern
-architectures and deployments. Drizzle does not shy away from breaking with
-the past, many of the MySQL "Gotchas" have been removed.
-
-Drizzle is open source software, designed in an organic manner by developers that span different companies. The development process has been geared to one more similar to the Linux Kernel where no single companies owns the source code, or provides all of the developers. In stark difference to MySQL, the goal is to be inclusive as possible and provide stable releases. The social charter of Drizzle encourages diversity and prize respectful dialogue between all participaing parties.
-
-Drizzle today is the largest fork of the MySQL server. At the time writing, core developers span five companies, with as many, and sometimes more then, 30+
-developers participating across different contents each month. Drizzle provides every other week releases and is the most well tested database in the MySQL family tree.
-
-More can be found here http://en.wikipedia.org/wiki/Drizzle_(database_server)
+The Drizzle project began in 2008 when Brian Aker forked it from MySQL, following Sun Microsystems' acquisition of MySQL. The Drizzle project was announced in 2008 at the O'Reilly Open Source Conference. 
+
+In terms of technical goals, Drizzle is based on a micro-kernel design that aims to be as pluggable as possible. Anyone should be able to quickly extend the database for their database needs. Drizzle has been designed for modern architectures and deployments. Drizzle does not shy away from breaking with the past, many of the MySQL "Gotchas" (features that work as advertised but not necessarily as expected) have been removed.
+
+Drizzle is open source software, designed in an organic manner by developers that span different companies. The development process has been geared to be more similar to the Linux Kernel where no single company owns the source code, or provides all of the developers. In stark difference to MySQL, the goal is to be as inclusive as possible and provide stable releases. The social charter of Drizzle encourages diversity and prizes respectful dialogue between all participating parties.
+
+Drizzle today is the largest fork of the MySQL server. At the time of writing, core developers span five companies, with as many, and sometimes more then, 30+ developers participating each month. Drizzle provides releases every other week and is the most well-tested database in the MySQL family tree.
+
+More narrative on the project can be found here http://en.wikipedia.org/wiki/Drizzle_(database_server)

=== modified file 'docs/clients/drizzledump.rst'
--- docs/clients/drizzledump.rst	2010-10-06 07:31:26 +0000
+++ docs/clients/drizzledump.rst	2010-12-07 21:20:16 +0000
@@ -257,3 +257,25 @@
 into a Drizzle server as follows::
 
      $ drizzledump --all-databases --host=mysql-host --user=mysql-user --password --destination-type=database --desination-host=drizzle-host
+
+When you migrate from MySQL to Drizzle, the following conversions are required:
+
+MyISAM -> InnoDB
+FullText -> drop it (with stderr warning)
+int unsigned -> bigint
+tinyint -> int
+smallint -> int
+mediumint -> int
+tinytext -> text
+mediumtext -> text
+longtext -> text
+tinyblob -> blob
+mediumblob -> blob
+longblob -> blob
+time -> int (of seconds)
+year -> int
+set -> text
+date/datetime default 0000-00-00 -> default NULL *(Currently, ALL date columns have their DEFAULT set to NULL on migration)
+date/datetime NOT NULL columns -> NULL
+any date data containing 0000-00-00 -> NULL
+enum-> DEFAULT NULL
\ No newline at end of file

=== modified file 'docs/create_table.rst'
--- docs/create_table.rst	2010-11-03 03:29:48 +0000
+++ docs/create_table.rst	2010-12-04 02:38:29 +0000
@@ -1,6 +1,8 @@
 CREATE TABLE
 ============
 
+A CREATE statement in SQL creates an object inside of Drizzle. One of the most common CREATE command is the CREATE TABLE command.
+
 CREATE [TEMPORARY] TABLE [IF NOT EXISTS] table_name
     (create_definition, ...)
     [engine_options]

=== modified file 'docs/data_dictionary.rst'
--- docs/data_dictionary.rst	2010-11-13 03:42:26 +0000
+++ docs/data_dictionary.rst	2010-11-30 00:28:02 +0000
@@ -3,11 +3,9 @@
 
 The DATA_DICTIONARY is a Drizzle extension that provides information on the
 state of the database, and on the definitions of tables and other objects.
-If you wish to write portable tools you show make use of the
+If you wish to write portable tools you should make use of the
 INFORMATION_SCHEMA.
 
-
 USER_DEFINED_VARIABLES
 
-The table contains the name and value of the user defined variables that the
-user has created during the current session.
+The table contains the name and value of the user defined variables that the user has created during the current session.

=== modified file 'docs/ddl.rst'
--- docs/ddl.rst	2010-11-03 03:29:48 +0000
+++ docs/ddl.rst	2010-12-04 02:38:29 +0000
@@ -1,6 +1,8 @@
 Data Description Language
 =========================
 
+The Data Definition Language (DDL) is used to define data and their relationships to other data. It is primarily used to create and destroy databases and database objects.
+
 .. toctree::
    :maxdepth: 2
 

=== modified file 'docs/delete.rst'
--- docs/delete.rst	2010-11-03 03:29:48 +0000
+++ docs/delete.rst	2010-12-07 21:20:16 +0000
@@ -1,8 +1,8 @@
 Deleting Data
 =============
 
-In Dizzle you can make use of DELETE in order to delete data from a table.
+In Dizzle you can make use of DELETE in order to delete a single record (or multiple records) of data from a table.
 
-A type query:
+A typical query might be:
 
 DELETE FROM TABLE_1;

=== modified file 'docs/dml.rst'
--- docs/dml.rst	2010-11-03 03:29:48 +0000
+++ docs/dml.rst	2010-12-07 21:20:16 +0000
@@ -1,6 +1,8 @@
 Data Manipulation Language
 ==========================
 
+The Data Manipulation Language (DML) is made up of SQL statements that modify stored data but not the database schema or database objects. Each SQL DML statement is a declarative command, rather than imperative.
+
 .. toctree::
    :maxdepth: 2
 

=== modified file 'docs/drop_table.rst'
--- docs/drop_table.rst	2010-10-27 20:22:26 +0000
+++ docs/drop_table.rst	2010-12-08 17:33:49 +0000
@@ -2,6 +2,6 @@
 ===========
 
 DROP TABLE removes a table from a schema once all queries or DML have ceased
-on the given table.
+on the given table. :: 
 
-DROP TABLE table_name
+	DROP TABLE [ IF EXISTS ] table_name
\ No newline at end of file

=== modified file 'docs/dynamic.rst'
--- docs/dynamic.rst	2010-11-28 00:32:57 +0000
+++ docs/dynamic.rst	2010-12-08 20:27:54 +0000
@@ -1,7 +1,7 @@
 Dynamic SQL
 ===========
 
-In Drizzle you can use the EXECUTE command along with user defined variables
+In Drizzle you can use the EXECUTE command along with :doc:'user defined variables <variables>'
 to create SQL in a dynamic manner on the server. An exmaple of this is:
 
 SET @var= "SELECT 1";

=== modified file 'docs/getting_information.rst'
--- docs/getting_information.rst	2010-10-27 20:22:26 +0000
+++ docs/getting_information.rst	2010-12-07 21:20:16 +0000
@@ -1,15 +1,9 @@
-Obtaining Information on the Contents of the Database
-=====================================================
-
-Drizzle provides two schema per catalog that contain data about the contents
-of the schema, the state of the database instance, and other additional
-information that might be useful to a user. In addition Drizzle supports
-"SHOW" commands, and DESCRIBE, which can be used by a user to gain
-additional information.
-
-The INFORMATION_SCHEMA only contains data that is the SQL standard requires.
-More information can be gained by the tables found in the DATA_DICTIONARY
-schema.
+Obtaining Information on the Database Contents
+==============================================
+
+Drizzle provides two schema per catalog that provide information about the contents of the database, the state of the database instance, and additional user-centric information. In addition, Drizzle supports SHOW and DESCRIBE commands, which can be used to obtain additional information.
+
+The INFORMATION_SCHEMA only contains data that the SQL standard requires. More information can be gained by the tables found in the DATA_DICTIONARY schema.
 
 .. toctree::
    :maxdepth: 2

=== modified file 'docs/how_to_report_a_bug.rst'
--- docs/how_to_report_a_bug.rst	2010-11-03 03:29:48 +0000
+++ docs/how_to_report_a_bug.rst	2010-11-30 00:28:02 +0000
@@ -2,4 +2,6 @@
 How to report a bug
 ===================
 
-Bugs for Drizzle can be reported at https://bugs.launchpad.net/drizzle.
+Drizzle bugs can be reported at https://bugs.launchpad.net/drizzle. On the right side of the page you will see the link to "Report a bug", alongside links to ask questions, submit code, etc. 
+
+If you're interested in helping to fix some of Drizzle's current bugs, the team  maintains a list of low hanging fruit bugs on Launchpad: https://bugs.edge.launchpad.net/drizzle/+bugs?field.tag=low-hanging-fruit

=== modified file 'docs/locks.rst'
--- docs/locks.rst	2010-11-27 06:34:30 +0000
+++ docs/locks.rst	2010-12-08 20:27:54 +0000
@@ -1,4 +1,4 @@
-User Definied Locks
+User Defined Locks
 ===================
 
 A user can create a "lock" which is scoped to their user space. Multiple
@@ -22,9 +22,9 @@
 
 SELECT release_lock_and_wait();
 
-If a session should exit, whatever locks it was holdering will be deleted.
+If a session should exit, whatever locks it was holding will be deleted.
 
-Please note, get_lock() was designed to be compatible with MySQL, if you
+Please note, get_lock() was designed to be compatible with MySQL. If you
 hold any locks when calling get_lock() they will be released. For this
 reason you may want to consider calling get_locks() instead.
 

=== modified file 'docs/mysql_differences.rst'
--- docs/mysql_differences.rst	2010-11-05 06:45:27 +0000
+++ docs/mysql_differences.rst	2010-12-07 04:05:17 +0000
@@ -2,13 +2,9 @@
 Notable MySQL Differences
 =========================
 
-Drizzle was forked from the (now defunct) MySQL 6.0 tree. Since then there
-have been a lot of changes. Some areas are similar, others unrecognisable.
-
-This section aims to explore some of the notable differences between MySQL
-and Drizzle.
-
-This section was originally adapted from the Drizzle Wiki.
+Drizzle was forked from the (now defunct) MySQL 6.0 tree in 2008. Since then there have been a lot of changes. Drizzle is in some ways similar to MySQL, and in other ways, unrecognizable.
+
+This section of documentation aims to explore some of the notable differences between MySQL and Drizzle, and has been modified from its original state on the Drizzle Wiki.
 
 Usage
 -----
@@ -17,15 +13,14 @@
  * Drizzle is optimized for massively concurrent environments. If we have the
    choice of improving performance for 1024 simultaneous connections to the
    detriment of performance with only 64 connections, we will take that choice.
- * Designed for modern POSIX systems
+ * It is designed for modern POSIX systems
  * Microsoft Windows is not a supported platform (neither is HP-UX or IRIX).
- * No timezones. Everything is UTC.
+ * Drizzle doesn't use timezones. Everything is UTC.
 
 Installation
 ------------
 
- * No scripts/mysql_install_db or similar. A "just works" installation
-   mentality without administrative overhead.
+ * No scripts/mysql_install_db or similar. Drizzle aims for a "just works" installation, without administrative overhead.
  * No system database that needs upgrading between versions.
  * Drizzle can listen on the Drizzle port (4427) and/or MySQL port (3306)
    and speak the respective protocols.
@@ -33,14 +28,14 @@
 Architecture
 ------------
 
-Drizzle is designed around the concept of being a micro-kernel. There should
+Drizzle is designed around the concept of being a microkernel. There should
 be a small core of the server with most functionality being provided through
 small, efficient and hard to misuse plugin interfaces. The goal is a small,
-light weight kernel which is easy to maintain, understand and extend.
+light weight kernel that is easy to maintain, understand and extend.
 
-Drizzle is written in C++ making use of the Standard Template Library (STL)
+Drizzle is written in C++ and makes use of the Standard Template Library (STL)
 and Boost. Only where performance or correctness proves to be inadequate will
-we consider rolling our own, and our preference is to fix the upstream library
+we consider rolling our own; our preference is to fix the upstream library
 instead.
 
 Network protocol
@@ -49,24 +44,26 @@
 Pluggable network protocols allow Drizzle to speak one (or more) of several
 protocols. Currently we support the MySQL protocol (compatible with existing
 MySQL client libraries) and the Drizzle protocol which is still under
-development but aims for several important differences:
+development.
+
+The Drizzle protocol embodies several important differences from MySQL:
 
  * Client sends first packet instead of server
- * built in sharding
- * multi statement support (without using a semicolon to separate them)
- * room for expansion to include NoSQL type commands inline with SQL.
+ * Built in sharding
+ * Multi statement support (without using a semicolon to separate them)
+ * Room for expansion to include NoSQL type commands inline with SQL.
 
-There is also a console plugin that instead of providing access over a network
-socket, allows access from the current tty.
+There is also a console plugin -- instead of providing access over a network
+socket, this plugin allows access from the current tty.
 
 Plugin API
 ----------
 
-Existing plugin APIs inherited from MySQL have been reworked.
+The existing plugin APIs that Drizzle inherited from MySQL have been reworked.
 
- * User Defined Functions (UDFs) now follow the same API as within the
+ * User Defined Functions (UDFs) now follow the same API as a given
    server instead of a different C API. This means that UDFs are on the
-   exact same level as builtin functions.
+   exact same level as built-in functions.
  * Storage Engine API has had some parts extensively reworked, especially
    around transactions and DDL.
  * Logging is now pluggable
@@ -82,20 +79,20 @@
 Stored Procedures
 -----------------
 
-Drizzle does not currently have any plugins implement stored procedures. We
+Drizzle does not currently have any plugins that implement stored procedures. We
 viewed the implementation in MySQL to be non-optimal, bloating the parser
-and only supporting one language (SQL2003 stored procedures) which was not
+and only supporting one language (SQL2003 stored procedures), which was not
 well known.
 
 Fundamentally, stored procedures usually are not the correct architectural
 decision for applications that need to scale. Pushing more computation down
 into the database (which is the trickiest layer to scale) isn't a good idea.
 
-We do recognise that the ability to reduce the time row locks are held
-by using stored procedures is valuable, but think the same advantage can
-be gotten with improved batching of commands over the wire instead of adding
+We do recognize that the ability to reduce the time row locks are held
+by using stored procedures is valuable, but think we can achieve the same 
+advantage by improved batching of commands over the wire instead of adding and
 administering stored procedures to the list of things that can go wrong in
-admisistering the database.
+administering the database.
 
 Triggers
 --------
@@ -108,13 +105,14 @@
 -----
 
 SQL Views are not currently supported in Drizzle. We believe they should be
-implemented via a query rewrite plugin. See the `Query Rewrite Blueprint <https://blueprints.launchpad.net/drizzle/+spec/query-rewrite>`_ on launchpad.
+implemented via a query rewrite plugin. See the `Query Rewrite Blueprint <https://blueprints.launchpad.net/Drizzle/+spec/query-rewrite>`_ on launchpad.
 
 Partitioning
 ------------
 
 INFORMATION_SCHEMA
 ------------------
+The INFORMATION_SCHEMA provides access to database metadata.
 
 The INFORMATION_SCHEMA in Drizzle is strictly ANSI compliant. If you write
 a query to any of the tables in the INFORMATION_SCHEMA in Drizzle, you can
@@ -128,7 +126,7 @@
 Authentication, Authorization and Access
 ----------------------------------------
 
-Plugins. Currently there are PAM and HTTP AUTH plugins for authentication.
+Authentication lies in Drizzle plugins. Currently there are PAM and HTTP AUTH plugins for authentication.
 Through the PAM plugin, you can use any PAM module (such as LDAP).
 
 Command line clients
@@ -139,7 +137,7 @@
 No gotcha of using the unix socket when localhost is specified and then
 connecting you to the wrong database server.
 
-There is no drizzleadmin command.
+There is no Drizzle admin command.
 
 Storage Engines
 ---------------
@@ -157,7 +155,7 @@
 ---------
 
 There are no FRM files in Drizzle. Engines now own their own metadata.
-Some choose to still store these in files on disk. These are now in a
+Some still choose to store these in files on disk. These are now in a
 documented file format (using the google protobuf library).
 
 SHOW commands

=== modified file 'docs/preface.rst'
--- docs/preface.rst	2010-10-12 00:06:15 +0000
+++ docs/preface.rst	2010-11-30 00:28:02 +0000
@@ -2,7 +2,6 @@
 Preface
 ================
 
-This is the official documentation of Drizzle. It has been written by the Drizzle developers and other volunteers in parallel to the development of the Drizzle software. It describes all the functionality that the current version of Drizzle officially supports.
+Welcome to Drizzle's official documentation. This community-generated resource covers what Drizzle is, the basics of the SQL language, and other advanced topics for Drizzle users. It has been written by the Drizzle developers and other volunteers in parallel to the development of the Drizzle software. In essence, it describes all the functionality that the current version of Drizzle officially supports.
 
-Drizzle makes use of Launchpad.net. You can find code, bug reports, and
-downloads at http://launchpad.net/drizzle
+There are other sites and locations for information on Drizzle and contributing to the project. You can find code, bug reports, and downloads at http://launchpad.net/drizzle. The wiki for Drizzle can be found at http://wiki.drizzle.org/Main_Page.
\ No newline at end of file

=== modified file 'docs/queries.rst'
--- docs/queries.rst	2010-11-03 03:30:17 +0000
+++ docs/queries.rst	2010-12-08 16:35:20 +0000
@@ -1,9 +1,19 @@
-Executing Queries
+Executing Queries 
 =================
 
-To return from values from Drizzled you most commonly use the SELECT
-command. An example of this would be:
-
-SELECT * FROM table_1;
-
-
+Queries retrieve data from a database based on specific criteria. They
+are performed with the declarative SELECT statement, which has no
+persistent effects on the database. SELECT simply retrieves data from
+one or more tables, or expressions.
+
+A query includes a list of columns to be included in a result set; an example of this would be:  ::
+
+	SELECT * FROM table_1;
+
+SELECT * FROM is an example of using SELECT with a clause. Other keywords and clauses include:
+
+* The FROM clause
+* The WHERE clause
+* The GROUP BY clause
+* The HAVING clause
+* The ORDER BY clause
\ No newline at end of file

=== modified file 'docs/rename.rst'
--- docs/rename.rst	2010-10-27 21:00:49 +0000
+++ docs/rename.rst	2010-12-08 17:33:49 +0000
@@ -2,3 +2,5 @@
 ======
 
 Rename a table, or group of tables.
+
+See :doc:`/alter_table`
\ No newline at end of file

=== modified file 'docs/tables.rst'
--- docs/tables.rst	2010-10-27 21:00:49 +0000
+++ docs/tables.rst	2010-12-08 17:33:49 +0000
@@ -1,15 +1,23 @@
-Tables
+Tables 
 =======
 
-A table makes up a collection of column_types that can be joined together in
-order to create relational result sets. Each record is called a row, and a
-table can have an infinite set of rows.
-
-.. toctree::
-   :maxdepth: 2
-
-   alter_table
-   create_table
-   drop_table
-   truncate 
-   rename
+A table makes up a collection of :doc:`/columntypes` that
+can be joined together in order to create relational result sets. 
+
+Each record in the table is called a row, and a table can have an infinite
+set of rows. Each row represents one piece of data, and each column can
+be thought of as representing a component of that piece of data. 
+
+So, for example, if we have a table for a customer information, then
+the columns may include information such as First Name, Last Name,
+Address, City, Country, Birth Date, and so on. As a result, tables have
+column headers, which specify the data types for that particular column.
+
+.. toctree:: 
+	:maxdepth: 2
+
+	alter_table
+	create_table
+	drop_table
+	truncate
+	rename

=== modified file 'docs/truncate.rst'
--- docs/truncate.rst	2010-10-27 20:46:04 +0000
+++ docs/truncate.rst	2010-12-08 17:33:49 +0000
@@ -1,6 +1,6 @@
 TRUNCATE
 ========
 
-TRUNCATE TABLE table_name
+This will delete all data in a table but unlike a DROP TABLE it will allow you to keep the table in your database. It deletes the rows but leaves all counters, such as a SERIAL, in place. ::
 
-This will delete all data in a table but unlike a DROP TABLE it will keep all counters, such as a SERIAL, in place.
+	TRUNCATE TABLE table_name

=== modified file 'docs/what_is_drizzle.rst'
--- docs/what_is_drizzle.rst	2010-11-05 05:44:19 +0000
+++ docs/what_is_drizzle.rst	2010-11-30 00:28:02 +0000
@@ -2,21 +2,14 @@
 What is Drizzle?
 ================
 
-Drizzle is a micro-kernel designed database system with relational and
-durability goals built into the kernel as a default design. It supports a
-number of interfaces which are "pluggable" so that the kernel does as little
-as possible. This allows users to extend the database by writing simple
-plugins.
+Drizzle is a micro-kernel designed database system. Its relational and durability goals are built into the kernel as a default design. It supports a number of interfaces which are "pluggable" so that the kernel does as little
+as possible, and is as clear as possible to users. This allows users to extend the database by writing simple plugins.
 
 Drizzle supports SQL92, with custom extensions for advanced users.
 
-Historically, database servers have dictated infrastructure - you must use
-the inbuilt authentication system, the inbuilt logging system etc. Drizzle takes
-a different approach; it aims to integrate with your existing infrastructure,
+Historically, database servers have dictated infrastructure - you must use the inbuilt authentication system, the inbuilt logging system etc. Drizzle takes a different approach; it aims to integrate with your existing infrastructure,
 becoming a part of it instead of an island.
 
-Drizzle has been designed for modern environments which are 64bit, multi-core
-with gigabytes of memory.
+Drizzle has been designed for modern environments, which are 64bit, multi-core with gigabytes of memory.
 
-Drizzle is open source software, and is maintained by a number of
-individuals and companies for the better advancement of all who participate.
+Drizzle is open source software, and is maintained by a number of individuals and companies for the better advancement of all who participate.
\ No newline at end of file

